from flask import Flask
from MultiNode import MultiNode
import threading, json

app = Flask("MultiNode Server")

multinode = MultiNode()

@app.route("/")
def index():
	return json.dumps(multinode.devices)

if __name__ == "__main__":
	from waitress import serve
	web_thread = threading.Thread(target=lambda: serve(app, host="127.0.0.1", port=8000))
	web_thread.start()

	while True:
		multinode.loop()
